# Summon the item display that makes up the base of the table
execute align xyz run \
  summon item_display ~0.5 ~0.5 ~0.5 {item:{id:"crafting_table",Count:1},Tags:["glam_table"]}

# Scale the item display slightly larger than the base block
data modify entity @n[tag=glam_table] transformation.scale set value [1.01f,1.01f,1.01f]
data modify entity @n[tag=glam_table] start_interpolation set value 0

# Add the appropriate tag and model to the display
execute if entity @s[tag=glam_tool] run \
  tag @n[tag=glam_table] add glam_tool
execute if entity @s[tag=glam_tool] run \
  data modify entity @n[tag=glam_table] item.components."minecraft:item_model" set value "glam_tool:table"

execute if entity @s[tag=glam_canvas] run tag @n[tag=glam_table] add glam_canvas
execute if entity @s[tag=glam_canvas] run \
  data modify entity @n[tag=glam_table] item.components."minecraft:item_model" set value "glam_canvas:table"

# Set a block inside the display
execute align xyz run setblock ~ ~ ~ minecraft:end_portal_frame

# Summon the main interaction entity and the entity for displaying the active item
execute align xyz run summon minecraft:interaction ~0.500 ~-.01 ~0.500 {response:1b,width:1.01,height:0.825,Tags:[glam_pixel,breaker]}
execute align xyz run summon minecraft:item_display ~0.5 ~0.8125 ~0.5 {Rotation:[180f,90f],Tags:[glam_display]}