# Play a sound!
playsound minecraft:entity.item_frame.add_item block @a ~ ~ ~ 1 1

# Set the item in the display based on the item the player was holding
data modify entity @n[tag=glam_display] item set from entity @n[tag=glam_target] SelectedItem
data modify entity @n[tag=glam_display] item.count set value 1

# Reduce the count of items in the player's hand by 1 (Woo inline item modifiers!)
item modify entity @n[tag=glam_target,gamemode=!creative] weapon.mainhand \
 {"function":"minecraft:set_count","count":-1,"add":true}

# Summon the interaction entities for the individual pixels, based on player's rotation
execute align xyz run function glam:pixels/place
execute if entity @n[tag=glam_target,y_rotation=-225..-135] at @n[tag=glam_display] run \
  function glam:rebase_table/north
execute if entity @n[tag=glam_target,y_rotation=-135..-45] at @n[tag=glam_display] run \
  function glam:rebase_table/east
execute if entity @n[tag=glam_target,y_rotation=-45..45] at @n[tag=glam_display] run \
  function glam:rebase_table/south
execute if entity @n[tag=glam_target,y_rotation=45..135] at @n[tag=glam_display] run \
  function glam:rebase_table/west

# Remove the tag from the player and the data from the interaction entity
tag @e[tag=glam_target] remove glam_target
data remove entity @s interaction

# Set a flag on the item display for the table (turns the eye on on glamour table)
data modify entity @n[tag=glam_table] item.components."minecraft:custom_model_data".flags set value [B; 1B]