# If we interact with an empty table, while we have an item in hand, place it
execute \
  unless data entity @n[tag=glam_display] item \
  if items entity @n[tag=glam_target] weapon.mainhand *[minecraft:custom_data~{has_glamour:1b, is_canvas:1b}] \
  run return run \
  function glam:interaction/place_item

# If we interact with a filled table, while we have an empty hand, remove the item
execute if data entity @n[tag=glam_display] item \
  unless items entity @n[tag=glam_target] weapon.mainhand #glam:usable \
  run return run \
  function glam:interaction/remove_item

# If we have dye in our hand, paint a pixel with dye
execute \
  unless entity @s[tag=breaker] \
  if data entity @n[tag=glam_display] item \
  if items entity @n[tag=glam_target] weapon.mainhand #glam:dye \
  run return run \
  function glam:interaction/paint_pixel

# If we have slime in our hand, erase the pixel (slime not consumed)
execute \
  unless entity @s[tag=breaker] \
  if data entity @n[tag=glam_display] item \
  if items entity @n[tag=glam_target] weapon.mainhand slime_ball \
  run return run function glam_canvas:interaction/erase_pixel

# If we have a paintbrush in our hand, paint a pixel with the brush
execute \
  unless entity @s[tag=breaker] \
  if data entity @n[tag=glam_display] item \
  if items entity @n[tag=glam_target] weapon.mainhand brush[minecraft:dyed_color] \
  run return run \
  function glam:interaction/paint_pixel_from_brush